#include <avr/io.h>

//#include "fundamental.h" 
#define true 1
#define false 0

// #include "carroty_lib/led.h" 
#define LED_1_ON 0b11100000
#define LED_2_ON 0b11010000
#define LED_3_ON 0b10110000
#define LED_4_ON 0b01110000
#define LED_FULL_OFF 0b11110000

// #include "carroty_lib/key.h" 
#define KEY_1 0b00111000
#define KEY_2 0b00110100
#define KEY_3 0b00101100
#define KEY_4 0b00011100

#define KEY_MASK 0x3C

int main() {
  unsigned char key=0x00;
  DDRB=  0xF0;      // PORTB 7~4Ʈ  (LED  Ǿ)
  DDRE=  0xC3;      // PORTD 5~2Ʈ Է (SW  Ǿ)
  PORTB= 0xF0;

  while(1) {
    key= (PINE & KEY_MASK);  // PORTE S/W   4Ʈ  
    switch(key) {
      case KEY_1 : PORTB= LED_1_ON; break; // key1 pressed...
      case KEY_2 : PORTB= LED_2_ON; break; // key2 pressed...
      case KEY_3 : PORTB= LED_3_ON; break; // key3 pressed...
      case KEY_4 : PORTB= LED_4_ON; break; // key4 pressed...
      default : PORTB= LED_FULL_OFF; break; 
	}
  }
}
