#include <avr/io.h>
#include <avr/interrupt.h>
#include "global.h"

#define TIMER_COUNT 125
volatile unsigned char interrupt_count;

SIGNAL(SIG_OVERFLOW0) {
  interrupt_count++;
  
if(interrupt_count==TIMER_COUNT) {
    PORTB ^=0xff;
    interrupt_count=0;
  }
}

int main(void) {
  DDRB=0xff;
  TCCR0=0x01;
  TIMSK=0x01;
  SREG=0x80;
  while(true);
  return 0;
}
