#include <avr/io.h>
#include <avr/interrupt.h>

//#include "adc.h"

//#include "com/carroty/avr/global.h"
//#include "com/carroty/avr/macro.h"
//#include "com/carroty/avr/delay.h"

#include "global.h"
#include "type.h"
#include "macro.h"
#include "delay.h"
#include "adc.h"

volatile unsigned char adcCompleteFlag;
volatile unsigned char adcGradeValue;

/**
  \brief  : ADC ʱȭ Ű Լ
  \param  : ADC ä, ADC 
  \return : void
  \remark : ADC ʱȭ Ű Լ,  A/D ȯ  
*/
void adc_init(unsigned char channel) {

  asm("CLI");
//   ܺ AREF Է ϰ ȯ   ϰ, 
// ܱؼ Է 0 ä Ѵٸ 
// Ʒ  ͸ ϸ ȴ.
  //ADMUX=  (0<<REFS1)|(0<<REFS0)|(0<<ADLAR)|(0<<MUX4)|((0<<MUX3))|(0<<MUX2)|(0<<MUX1)|(0<<MUX0);
  ADMUX=  (0<<REFS1)|(0<<REFS0)|(0<<ADLAR);
  ADMUX |= channel;

// ֺ   ؾ   ִµ ܱؼ Է½ A/D  ļ 50 ~ 1000kHz, 
//  Է½ A/D  ļ 50 ~ 200kHz ̱   Է  ļ  °  ־ Ѵ. 
  ADCSRA= (1<<ADEN)|(1<<ADSC)|(1<<ADFR)|(1<<ADIE)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);

  asm("SEI");
}

void adc_start() {
  //ADMUX=(0<<REFS0)|(0<<ADLAR)|(0<<MUX0);		//AREF, Internal Vref turned off
}

/**
  \brief  : ADC ֺ ϴ Լ
  \param  : ADC ֺ
  \return : void
  \remark : ֺ   , ֺ adc.h Ұ
*/
void adcSetPrescaler(unsigned char prescale) {

}

/**
  \brief  : ADC  ϴ Լ
  \param  : ADC ֺ
  \return : void
  \remark :    , ֺ adc.h Ұ
*/
void adcSetReferance(unsigned char referance) {

}

/**
  \brief  : ADC ä ϴ Լ
  \param  : ADC ä ȣ
  \return : void
  \remark : ä ȣ adc.h Ұ
*/
void adcSetChannel(unsigned char channel) {
}

/**
  \brief  : A/D ȯ ϴ Լ
  \param  : 
  \return : void
  \remark : ɳɳ
*/
void adcStartConvert(void) {
}

/**
  \brief  : A/D ȯ ϴ Լ
  \param  : 
  \return : void
  \remark : ɳɳ
*/
void adcStopConvert(void) {
}


/**
  \brief  : A/D ȯ Ϸ  ÷
  \param  : 
  \return : void
  \remark : A/D ȯ ϷǸ ÷װ Ʈ, ׷ ͷƮ ߻ϴµ  ÷׸  ʿ䰡 ֳ?
*/
void adcIsComplete(void) {
	
}

/**
  \brief  : ADC ȯ Ʈ 8 or 10 Ʈ  ϴ Լ
  \param  : 
  \return : void
  \remark : ¾?
*/
void adcConvertBit(unsigned char bit) { // 8 or 10 bit
}

/**
  \brief  : ADC  
  \param  : 
  \return : void
  \remark : Է¹ ADC  led  ȯϰų ͸ 뷮  ,\n
  led ų grade ȭ Ű  ġµ? 
*/
void adc2GradeValue(unsigned int value) {
  if((value>=0)&&(value<=255))   { adcGradeValue= 1; } // Grade 1
  else if((value>256)&&(value<=511))  { adcGradeValue= 2; } // Grade 2
  else if((value>512)&&(value<=767))  { adcGradeValue= 3; } // Grade 3
  else if((value>768)&&(value<=1023)) { adcGradeValue= 4; } // Grade 4
}

/*
Microcontroller microcontroller= new Microcontroller(); // ̶ ADC 
microcontroller.adcInit(CH08, ... etc)
microcontroller.adcStartConvert();
unsigned int adcValue= microcontroller.adcRead();
microcontroller.adcStopConvert();
*/

