
#include <avr/io.h>
#include <avr/interrupt.h>

#include "global.h"
#include "uart.h"
#include "ascii.h"

unsigned char  key_from_computer=0;

ISR(USART0_RX_vect) {

  key_from_computer=UDR0;
  switch(key_from_computer) {
    case ASCII_1:
      tx_string("SWITCH 1 PRESSED\n");
      break;
    case ASCII_2:
      tx_string("SWITCH 2 PRESSED\n");
      break;
    case ASCII_3:
      tx_string("SWITCH 3 PRESSED\n");
      break;
    case ASCII_4:
      tx_string("SWITCH 4 PRESSED\n");
      break;
    default:
      tx_string("\ninput correct computer key..(1-4)");
      break;
  }
}

int main(void){
   //init_USART(BAUD_57600);
   uart0_init(BAUD_57600);
   sei();

  tx_string("\n\n");
  tx_string("------------------\n");
  tx_string("USART RX TEST     \n");
  tx_string("------------------\n");
  tx_string("input key....(1-4)\n");
 
  while(true) {};
  return 0; 
}
