#include <avr/io.h>

#include "key.h"
#include "buzzer.h"
#include "delay.h"
#include "global.h"

#define KEY_PIN PIND
#define KEY_MSK 0xC3

unsigned char key_flag= 0;
/**
  \brief : key Է Ʈ ʱȭ Ŵ
  \return : void
  \remark :  Է ϴ°  
*/

void key_init(void) {
  DDRE |= 0b11000011;
}

/**
  \brief : ä͸ ϸ鼭 Ű Է ޴ Լ
  \return : unsigned char Է¹  ش. 
  \remark :  Լ  ̷ Ǵ  .. 
*/

unsigned char get_key(void) {
  unsigned char key;
  key= (KEY_PIN & KEY_MSK);

  if(key==KEY_MSK) { 
    if(key_flag==0) {
	  return key;
    }
    else { 
      delay_ms(10); 
	  key_flag= 0;
	  return key;
    }
  }
  else {
    if(key_flag != 0) {
	  return KEY_MSK;
	}
	else {
	  key_flag= 1;
	  delay_ms(10); // debounding
	  //beep();
	  return key;
	}
  }
}


unsigned char key_input(void) {
  unsigned char key;
  key= (KEY_PIN & KEY_MSK);

  if(key==KEY_MSK) { 
    if(key_flag==0) {
	  return key;
    }
    else { 
      delay_ms(10); 
	  key_flag= 0;
	  return key;
    }
  }
  else {
    if(key_flag != 0) {
	  return KEY_MSK;
	}
	else {
	  key_flag= 1;
	  delay_ms(10); // debounding
	  //beep();
	  return key;
	}
  }
}
