/*******************************************************************************
  Title		    : carroty library ver 1.3
  Version		  : 4.00  
  Device      : ATmega32, 16MHz
  Authors		  : Sang Hoon Jung (rainbow77@korea.com)
  File Name	  : 
  Date			  : May, 1, 2011
  Description : 
  Update      : 
*******************************************************************************/

#ifndef __MACRO_H__
#define __MACRO_H__

// AVR ũ
#define BV(bit)			   (1<<(bit))

#define sbi(reg,bit)    reg |= (1<<(bit))			
#define cbi(reg,bit)    reg &= ~(1<<(bit))

#define MIN(a,b)		    ((a<b)?(a):(b))
#define MAX(a,b)		    ((a>b)?(a):(b))

#define min(x,y)        ((x>y)?y:x)
#define is_even(x)      ((x%2==0)?1:0)
#define turncate(x)     ((int)(x))
#define square(x)       ((x)*(x))
#define is_lowercase(x) ((x>= 'a' && x<= 'z')?1:0)
#define to_uppercase(x) ((is_lowercase(x))?x-'a'+'A':x)

#ifndef WIN32
  #define FALSE	0
  #define TRUE	-1
#endif

#endif
