
#include <avr/io.h>
#include <avr/eeprom.h>
#include <stdio.h>

#include "global.h"
#include "eeprom.h"
#include "uart.h"
#include "delay.h"

int main(void) {

  unsigned int address=      0x000;

  //unsigned char test_data1=  0x55;
  unsigned char write_data=  0x00;
  unsigned char readed_data= 0x00;
  unsigned int write_count=  0;
  unsigned int read_count=   0;

  uart0_init(BAUD_57600);

  tx_string("EEPROM writing...\n");
  for(address= 0x000; address <= MAX_ADDRESS; address++) {
    write_data++;
    write_count++;
    eeprom_write_byte(address, write_data);
//      htoa(write_data);
      if(write_count%16==0) { tx_string("\n"); write_count= 0; }
  }
  tx_string("\nEEPROM write done.\n");

  tx_string("EEPROM reading...\n");
  for(address= 0x000; address <= MAX_ADDRESS; address++) {
    readed_data= eeprom_read(address);
    read_count++;
    //htoa(readed_data);
    if(read_count%16==0) { tx_string("\n"); read_count= 0; }
    delay_ms(20);
  }
  tx_string("\nEEPROM read done.\n");

  return 0;
}
  
