#include <avr/io.h>

void delay_us(unsigned char time_us) {
  register unsigned char i;
  for(i = 0; i < time_us; i++) {
    asm volatile("PUSH R0 ");
    asm volatile("POP R0 ");
    asm volatile("PUSH R0 ");
    asm volatile("POP R0 ");
    asm volatile("PUSH R0 ");
    asm volatile("PUSH R0 ");
  }
}

void delay_ms(unsigned int time_ms) {
  register unsigned int i;
  for(i = 0; i < time_ms; i++) {
    delay_us(250);
    delay_us(250);
    delay_us(250);
    delay_us(250);
  }
}

int main(void) {
  DDRB= 0xF0;
  while(1) {
    PORTB= 0xF0;
    delay_ms(100);
    PORTB= 0x00;
    delay_ms(200);
  }
  return(0);
}
