#include <avr/io.h>
#include <avr/interrupt.h>

#include "global.h"
#include "delay.h"
#include "key.h"
#include "led.h"

/* Interrupt Service Routine */
ISR(SIG_INTERRUPT4) { PORTB=LED_1_ON; }
ISR(SIG_INTERRUPT5) { PORTB=LED_2_ON; }

int main(void) {

  DDRB=0xF0;
  PORTB=0x0F;
  MCUCR=0x0A;
  EICRB=0x08;
  EIMSK=0x30;
  EIFR=0xFF;
  sei();

  while(1);
  return 0;
}
