/*******************************************************************************
  Title		    : carroty library ver 1.3
  Version		  : 4.00  
  Device      : ATmega32, 16MHz
  Authors		  : Sang Hoon Jung (rainbow77@korea.com)
  File Name	  : 
  Date			  : May, 1, 2011
  Description : 
  Update      : 
*******************************************************************************/

#ifndef __GLOBAL_H__
#define __GLOBAL_H__

/*
#define APS 1 // AVR Studio
#define IAR 0 // IAR 
#define CCS 0 // Code Vision
#define KEL 0 // Keil C

#ifdef APS
  #include <avr/io.h>
#ifdef IAR
  #include <iom32.h>
  #include <iom128.h>
#endif
*/

#include "macro.h" // macros definitons
#include "type.h"  // types definitions

#define DEBUG 0

#define USE_IAR 1
#define USE_APS 2
#define USE_CVI 3

#define F_CPU 		16000000UL


#define true    1
#define false   0

#define HIGH    1
#define LOW     0

#define ON      1
#define OFF     0

//#define ENABLE  1
//#define DISABLE 0

/*
Integer.
byte convLowerCase(byte UpperCh); // A->a, B->b, c->c
byte convUpperCase(byte LowerCh); // a->A, b->B, C->C
// abcd_efgh
byte getMSB(byte value); // return a
byte getLSB(byte value); // return h
byte getUpperNibble(byte value); // return 0000_abcd
byte getLowerNibble(byte value); // return 0000_efgh
byte hex2ascii(byte hexValue);
byte ascii2hex(byte asciiValue);
*/

#endif
