/*******************************************************************************
  Title		    : carroty library ver 1.3
  Version		  : 4.00  
  Device      : ATmega32, 16MHz
  Authors		  : Sang Hoon Jung (rainbow77@korea.com)
  File Name	  : 
  Date			  : May, 1, 2011
  Description : 
  Update      : 
*******************************************************************************/

#ifndef __TYPEDEF_H__
#define __TYPEDEF_H__

/********************************************************************************************************
                                             DATA TYPES
********************************************************************************************************/
typedef unsigned char  u08;	     //         0 ~ 255
typedef   signed char  s08;	     //      -128 ~ 127
typedef unsigned short u16;	     //         0 ~ 65535
typedef   signed short s16;	     //    -32768 ~ 32767
typedef unsigned long  u32;	     //         0 ~ (2^32-1)
typedef   signed long  s32;	     // -(2^32)/2 ~ ((2^32)/2)-1
typedef unsigned char  BOOLEAN;     // 0 or 1
typedef unsigned char  byte;

//typedef WORD          ATOM;
//typedef int           bool;
//typedef unsigned char byte;
typedef unsigned int  uint;

typedef unsigned char bool;
//typedef unsigned char byte;
typedef unsigned short word;
typedef unsigned long dword;

#define null ((void *)0) 

/*
typedef unsigned char BOOL;
typedef unsigned char INT8U;
typedef signed char INT8S;
typedef unsigned short INT16U;
typedef signed short INT16S;
typedef unsigned long INT32U;
typedef signed long INT32S;
*/

#endif
