#include <avr/io.h>
#include <avr/interrupt.h>
#include "global.h"

#define SEC_1_COUNT 31250
unsigned long interrupt_count=0;

SIGNAL(SIG_OVERFLOW0) {
  interrupt_count++;
  if(interrupt_count==SEC_1_COUNT) {
    PORTB ^=0xff;
    interrupt_count=0;
  }
}

int main(void) {
  DDRB=0xff;
  TCCR0=0x01;
  TIMSK=0x01;
  sei();
  while(true);
  return 0;
}
