#ifndef __BUZZER_H__
#define __BUZZER_H__

#include <avr/io.h>

#include "com/carroty/avr/general/global.h"
#include "com/carroty/avr/general/macro.h"
#include "com/carroty/avr/general/delay.h"
#include "com/carroty/avr/general/buzzer.h"

#define BEEP_TIME  125

void buzzer_init() {
  sbi(BUZ_DIR, BUZZER_PIN);
  cbi(BUZ_PRT, BUZZER_PIN);
}

//  Ҹ,  Լ Ⱦ 
// beep(500);
// .. code here.. Ʒ ڵ尡  beep   ޱ 
void buzzer(unsigned char value) {
  if(value==true) {
    sbi(BUZ_PRT, BUZZER_PIN);
  }
  else {
    cbi(BUZ_PRT, BUZZER_PIN);
  }
}

/*
ٵ   ޴   Ⱦ, Ʒ  ° ξ  
ٸ  ڵó , ο쳪  ϸ ..
*/
void beep()	{	// Beep a Buzzer using GPIO function.
  unsigned short i;
  for(i=0;i<BEEP_TIME;i++) {
	sbi(BUZ_PRT, BUZZER_PIN); // on   
    delay_us(MIDDLE_TONE);
	cbi(BUZ_PRT, BUZZER_PIN);
	delay_us(MIDDLE_TONE);
  }
}

#endif
