
/**
  \brief  : ũμ(us) Ű Լ
  \param  : time_us
  \return : void
  \remark : H/W ũ , ǻƮ, ý Ŭ   
*/
void delay_us(unsigned int time_us)	{ // time delay(us)
  register unsigned int i;
  for(i = 0; i < time_us; i++) {	// 4 cycle
      asm volatile("PUSH R0 "); 	// + 2 cycle
	  asm volatile("POP  R0 ");		// + 2 cycle // at 8 MHz
	  asm volatile("PUSH R0 ");		// + 2 cycle
	  asm volatile("POP  R0 ");		// + 2 cycle
	  asm volatile("PUSH R0 ");		// + 2 cycle
      asm volatile("POP  R0 ");		// + 2 cycle	
	  //asm volatile("NOP");
	  //asm volatile("NOP");
	  // 16 cycle * 62.5 ns = 1000 ns = 1 us at 16.000MHZ
  }
}

/**
  \brief  : и(us) Ű Լ
  \param  : time_ms
  \return : void
  \remark : usԼ 1,000 ȣϿ ms  Ŵ
*/
void delay_ms(unsigned int time_ms) {	  // time delay(ms)
  register unsigned int i;
  for(i = 0; i < time_ms; i++) {
    delay_us(250);
	delay_us(250);
	delay_us(250);
	delay_us(250); 
  }
}

/**
  \brief  :  (us) Ű Լ
  \param  : time_sec
  \return : void
  \remark : msԼ 1,000 ȣϿ sec  Ŵ
   Լ  ´µ ̷ ϸ   Ұ ? 
  Լ ΰ ?
  Ȯϰ  Ű°  Լ High, Low  ٸ!
  ϳ Ÿ̸ ctc  °..  
*/
void delay_sec(unsigned int time_sec) {
  register unsigned int i;
  for(i = 0; i < time_sec; i++) {
    delay_ms(250);
	delay_ms(250);
	delay_ms(250);
	delay_ms(250);
  }
}

/**
  \brief  :  (minute) Ű Լ
  \param  : time_min
  \return : void
  \remark : secԼ 60 ȣϿ minute  Ŵ
*/
void delay_min(unsigned int time_min) {
  register unsigned int i;
  for(i = 0; i < time_min; i++) {
    delay_sec(60);
  }
}     

/**
  \brief  : ð(hour) Ű Լ
  \param  : time_hour
  \return : void
  \remark : minuteԼ 60 ȣϿ hour  Ŵ
*/
void delay_hour(unsigned int time_hour) {
  register unsigned int i;
  for(i = 0; i < time_hour; i++) {
    delay_min(60);
  }     
}

/**
  \brief  :   Լ
  \param  : time_hour
  \return : void
  \remark : high-low 1:1  Ȯϰ us  delay Ŵ
   Լ Ȯϰ 1:1  ƴ 
*/
void correct_delay_us(unsigned int time_us) {
}
