/*******************************************************************************
  Title		    : carroty library ver 1.3
  Version		  : 4.00  
  Device      : ATmega32, 16MHz
  Authors		  : Sang Hoon Jung (rainbow77@korea.com)
  File Name	  : 
  Date			  : May, 1, 2011
  Description : 
  Update      : 
*******************************************************************************/

#include <avr/io.h>

#include "eeprom.h"

/**
  \brief EEPROM  ͸ 0 ʱȭ Ű Լ
  \param address : ּ 
  \param data :  
  \return : void
  \remark : eeprom ͸  0x00 .
*/

void eeprom_init(void) {
}

void eeprom_erae(void) {
}

/**
  \brief EEPROM ͸  Լ
  \param address : ּ 
  \param data :  
  \return : void
*/
void eeprom_write(unsigned int address, unsigned char data) {
  while(EECR & (1<<EEWE));
  EEAR= address;
  EEDR= data;
  EECR |= (1<<EEMWE);
  EECR |= (1<<EEWE);
}

/**
  \brief EEPROM ͸  Լ
  \param address : ּ 
  \param data :  
  \return : void
*/
unsigned char eeprom_read(unsigned int address) {
  while(EECR & (1<<EEWE));
  EEAR= address;
  EECR |= (1<<EERE);
  return EEDR;
}
